@base <https://purl.org/coscine/ap/sfb1394/ElChemImpedSpec/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394ElChemImpedSpec: <https://purl.org/coscine/ap/sfb1394/ElChemImpedSpec#> .

 # ElChemImpedSpec 
<https://purl.org/coscine/ap/sfb1394/ElChemImpedSpec/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 ElChemImpedSpec"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/ElChemImpedSpec/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394ElChemImpedSpec:ID ;
  sh:property coscineSfb1394ElChemImpedSpec:aliasID ;
  sh:property coscineSfb1394ElChemImpedSpec:user ;
  sh:property coscineSfb1394ElChemImpedSpec:date ;
  sh:property coscineSfb1394ElChemImpedSpec:affiliation ;
  sh:property coscineSfb1394ElChemImpedSpec:dois ;
  sh:property coscineSfb1394ElChemImpedSpec:temperature ;
  sh:property coscineSfb1394ElChemImpedSpec:relativeHumidity ;
  sh:property coscineSfb1394ElChemImpedSpec:environmentalGas ;
  sh:property coscineSfb1394ElChemImpedSpec:operator ;
  sh:property coscineSfb1394ElChemImpedSpec:instrumentId ;
  sh:property coscineSfb1394ElChemImpedSpec:sampleId ;
  sh:property coscineSfb1394ElChemImpedSpec:parentSampleId ;
  sh:property coscineSfb1394ElChemImpedSpec:anyDataSetToBeLinkedWithThisExperiment ;
  sh:property coscineSfb1394ElChemImpedSpec:TestingEnv ;
  sh:property coscineSfb1394ElChemImpedSpec:pre-treatment ;
  sh:property coscineSfb1394ElChemImpedSpec:mode ;
  sh:property coscineSfb1394ElChemImpedSpec:alternatingCurrent ;
  sh:property coscineSfb1394ElChemImpedSpec:alternatingVoltage ;
  sh:property coscineSfb1394ElChemImpedSpec:referenceElectrodePotential ;
  sh:property coscineSfb1394ElChemImpedSpec:counterElectrode ;
  sh:property coscineSfb1394ElChemImpedSpec:potentiostat ;
  sh:property coscineSfb1394ElChemImpedSpec:timeOcp ;
  sh:property coscineSfb1394ElChemImpedSpec:frequencyStart ;
  sh:property coscineSfb1394ElChemImpedSpec:frequencyEnd ;
  sh:property coscineSfb1394ElChemImpedSpec:measurementDateTime ;
  sh:property coscineSfb1394ElChemImpedSpec:comments ;
.

coscineSfb1394ElChemImpedSpec:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394ElChemImpedSpec:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394ElChemImpedSpec:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394ElChemImpedSpec:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394ElChemImpedSpec:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394ElChemImpedSpec:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394ElChemImpedSpec:temperature 
  sh:path sfb1394:temperature ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Temperature [°C]"@en, "Temperature [°C]"@de ;
  qudt:Unit unit:Deg_C ;
. 

coscineSfb1394ElChemImpedSpec:relativeHumidity 
  sh:path sfb1394:relativeHumidity ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Relative humidity [%]"@en, "Relative humidity [%]"@de ;
  qudt:Unit unit:PERCENT_RH ;
. 

coscineSfb1394ElChemImpedSpec:environmentalGas 
  sh:path sfb1394:environmentalGas ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental gas"@en, "Environmental gas"@de ;
. 

coscineSfb1394ElChemImpedSpec:operator 
  sh:path sfb1394:operator ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Operator"@en, "Operator"@de ;
. 

coscineSfb1394ElChemImpedSpec:instrumentId 
  sh:path csmd:investigation_instrument ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Instrument ID"@en, "Instrument ID"@de ;
. 

coscineSfb1394ElChemImpedSpec:sampleId 
  sh:path csmd:investigation_sample ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Sample ID"@en, "Sample ID"@de ;
. 

coscineSfb1394ElChemImpedSpec:parentSampleId 
  sh:path sfb1394:parentSampleId ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Parent sample ID"@en, "Parent sample ID"@de ;
. 

coscineSfb1394ElChemImpedSpec:anyDataSetToBeLinkedWithThisExperiment 
  sh:path sfb1394:anyDataSetToBeLinkedWithThisExperiment ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Any data set to be linked with this experiment"@en, "Any data set to be linked with this experiment"@de ;
. 

coscineSfb1394ElChemImpedSpec:TestingEnv 
  sh:path sfb1394:TestingEnv ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental protection during sample processing"@en, "Environmental protection during sample processing"@de ;
. 

coscineSfb1394ElChemImpedSpec:pre-treatment 
  sh:path sfb1394:pre-treatment ;
  sh:order 15 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Pre-treatment"@en, "Pre-treatment"@de ;
. 

coscineSfb1394ElChemImpedSpec:mode 
  sh:path sfb1394:mode ;
  sh:order 16 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Mode"@en, "Mode"@de ;
. 

coscineSfb1394ElChemImpedSpec:alternatingCurrent 
  sh:path sfb1394:alternatingCurrent ;
  sh:order 17 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Alternating current [mA]"@en, "Alternating current [mA]"@de ;
  qudt:Unit unit:MilliA ;
. 

coscineSfb1394ElChemImpedSpec:alternatingVoltage 
  sh:path sfb1394:alternatingVoltage ;
  sh:order 18 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Alternating voltage [mV]"@en, "Alternating voltage [mV]"@de ;
  qudt:Unit unit:MilliV ;
. 

coscineSfb1394ElChemImpedSpec:referenceElectrodePotential 
  sh:path sfb1394:referenceElectrodePotential ;
  sh:order 19 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Reference electrode potential [mV(SHE)]"@en, "Reference electrode potential [mV(SHE)]"@de ;
  qudt:Unit unit:MilliV ;
. 

coscineSfb1394ElChemImpedSpec:counterElectrode 
  sh:path sfb1394:counterElectrode ;
  sh:order 20 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Counter electrode"@en, "Counter electrode"@de ;
. 

coscineSfb1394ElChemImpedSpec:potentiostat 
  sh:path sfb1394:potentiostat ;
  sh:order 21 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Potentiostat"@en, "Potentiostat"@de ;
. 

coscineSfb1394ElChemImpedSpec:timeOcp 
  sh:path sfb1394:timeOcp ;
  sh:order 22 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Time OCP [s]"@en, "Time OCP [s]"@de ;
  qudt:Unit unit:SEC ;
. 

coscineSfb1394ElChemImpedSpec:frequencyStart 
  sh:path sfb1394:frequencyStart ;
  sh:order 23 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Frequency start [Hz]"@en, "Frequency start [Hz]"@de ;
  qudt:Unit unit:HZ ;
. 

coscineSfb1394ElChemImpedSpec:frequencyEnd 
  sh:path sfb1394:frequencyEnd ;
  sh:order 24 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Frequency end [Hz]"@en, "Frequency end [Hz]"@de ;
  qudt:Unit unit:HZ ;
. 

coscineSfb1394ElChemImpedSpec:measurementDateTime 
  sh:path sfb1394:measurementDateTime ;
  sh:order 25 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Measurement date"@en, "Measurement date"@de ;
. 

coscineSfb1394ElChemImpedSpec:comments 
  sh:path sfb1394:comments ;
  sh:order 26 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
